Bug 1792276 - config ssh-port can accept negative and outside allowed port range value
Summary: config ssh-port can accept negative and outside allowed port range value
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Sunny Kumar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1793412 1796814
TreeView+ depends on / blocked
 
Reported: 2020-01-17 13:07 UTC by Sunny Kumar
Modified: 2020-01-31 10:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1793412 1796814 (view as bug list)
Environment:
Last Closed: 2020-01-19 06:32:07 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 24035 0 None Merged geo-rep: Fix ssh-port validation 2020-01-19 06:32:06 UTC

Description Sunny Kumar 2020-01-17 13:07:55 UTC
Description of problem:

If non-standard ssh-port is used, Geo-rep can be configured to use ssh port by using config option, the value should be in allowed port range and non negative.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


$ gluster volume geo-replication master 127.0.0.1::slave config ssh-port -22
    geo-replication config updated successfully
$ gluster volume geo-replication master 127.0.0.1::slave config ssh-port 22222222
    geo-replication config updated successfully

Comment 1 Worker Ant 2020-01-17 13:14:06 UTC
REVIEW: https://review.gluster.org/24035 (geo-rep: Fix ssh-port validation) posted (#1) for review on master by Sunny Kumar

Comment 2 Worker Ant 2020-01-19 06:32:07 UTC
REVIEW: https://review.gluster.org/24035 (geo-rep: Fix ssh-port validation) merged (#2) on master by Sunny Kumar


Note You need to log in before you can comment on or make changes to this bug.